# $Revision: 1.54 $, $Date: 2012/01/15 17:20:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	CSV_XS
Summary:	Text::CSV_XS - comma-separated values manipulation routines
Summary(pl.UTF-8):	Text::CSV_XS - operacje na wartościach oddzielonych przecinkami
Name:		perl-Text-CSV_XS
Version:	0.85
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	876e4017ef95eaa5740730fef14e976f
URL:		http://search.cpan.org/dist/Text-CSV_XS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::CSV_XS Perl module provides facilities for the composition and
decomposition of comma-separated values. An instance of the
Text::CSV_XS class can combine fields into a CSV string and parse a
CSV string into fields.

%description -l pl.UTF-8
Moduł Perla Text::CSV_XS udostępnia metody do składania i rozkładania
wartości oddzielonych przecinkami. Instancja klasy Text::CSV_CS
potrafi łączyć pola w łańcuch CSV oraz rozkładać łańcuch CSV na pola.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/CSV_XS.pm
%dir %{perl_vendorarch}/auto/Text/CSV_XS
%{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.so
%{_mandir}/man3/Text::CSV_XS.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-CSV_XS.spec,v $
Revision 1.54  2012/01/15 17:20:42  zbyniu
- up to 0.85

Revision 1.53  2011/07/19 16:55:43  qboosh
- updated to 0.82

Revision 1.52  2010/11/12 23:38:12  pawelz
- release 4

Revision 1.51  2010/07/15 14:05:03  glen
- release 3

Revision 1.50  2010/06/06 08:43:20  arekm
- release 2

Revision 1.49  2009/11/11 17:57:25  amateja
- updated to 0.69

Revision 1.48  2009/10/16 07:14:26  amateja
- updated to 0.67

Revision 1.47  2009/01/16 10:01:38  radek
- version 0.58

Revision 1.46  2008/05/11 11:11:16  hawk
- updated to 0.45

Revision 1.45  2008-04-02 08:12:49  arekm
- up to 0.37

Revision 1.44  2008-03-24 23:16:13  qboosh
- sane make install

Revision 1.43  2008-03-24 23:14:41  qboosh
- informative summaries

Revision 1.42  2008-02-10 12:21:15  arekm
- rel 2

Revision 1.41  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.40  2007-11-02 15:51:04  qboosh
- generic URL

Revision 1.39  2007/11/02 13:43:36  gotar
- updated to 0.32

Revision 1.38  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:49  paladine
- formatting

Revision 1.35  2004/05/07 00:38:54  ankry
- rel. 5

Revision 1.34  2004/05/06 18:21:16  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/03 01:33:49  ankry
- tests added, license fixes, cosmetics

Revision 1.32  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 21:34:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:38:43  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/11/26 00:15:07  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.23  2002/07/10 08:58:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:34:42  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/22 03:13:28  kloczek
- cosmetics.

Revision 1.18  2002/02/13 14:20:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:35:51  depesz
adapterized

Revision 1.16  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/18 10:48:13  mis
- autoupdated to 0.23

Revision 1.14  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:16:24  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/19 14:38:43  mis
- updated (by autoup) to 0.22

Revision 1.10  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/24 00:18:49  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.4  2000/02/18 01:35:48  pius
- updated to 0.20

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/03 11:09:29  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
